@charset "UTF-8";

@font-face {
  font-family: Montserrat;
  src: url("../fonts/montserrat/Montserrat-VariableFont_wght.ttf");
}

*:focus {
  outline: none;
}

:root {
  --bs-input-group: rgb(247, 247, 251);
  --bs-border-color-secondary: rgb(237, 241, 247);
  --bs-input-text-color: rgb(29, 30, 44);
  --bs-input-group-label-color: rgb(105, 112, 127);
  --bs-color-primary: rgb(98, 102, 249);
  --bs-color-secondary: rgb(250, 65, 105);
  --bs-border-radius-medium: 16px;
  --bs-border-radius-small: 8px;

  --bs-font-size-regular: 14px;
  --bs-font-size-xsmall: 8px;
  --bs-font-size-small: 12px;
  --bs-font-size-medium: 16px;
  --bs-font-size-large: 24px;
  --bs-font-size-xlarge: 32px;
  --bs-padding-medium: 16px;

  --bs-margin-medium: 16px;

  --bs-bg-section: rgb(247, 247, 251);

  --bs-box-shadow-secondary: -1px 0px 9px rgba(0, 0, 0, 0.2);
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 30px rgb(247, 247, 251) inset !important;
  box-shadow: 0 0 0 30px rgb(247, 247, 251) inset !important;
  font-size: 16px;
  font-family: "Montserrat";
}

body,
html,
#root {
  height: 100%;
  font-family: "Montserrat";
}

/* General */

.block {
  display: block;
}

.right-arrow {
  width: 7px;
  height: 16px;
}

.top {
  z-index: 1000;
}

.text-left {
  text-align: left;
}

.radio-group {
  padding-top: var(--bs-padding-medium);
}

.multi-choice input,
.radio-group input {
  flex: 0 0 auto;
}

.hidden {
  display: none;
}

.no-padding {
  padding: 0px !important;
}

.pd-l-2 {
  padding-left: 8px;
}

.pd-r-2 {
  padding-right: 8px;
}

.w100 {
  width: 100%;
}

.video-player {
  width: 100%;
  height: 300px;
  background-color: black;
}

/* General End */

/* Text */

p {
  margin: 0;
}

.text-small {
  font-size: var(--bs-font-size-xsmall);
}

.text {
  font-size: var(--bs-font-size-medium);
  color: black;
}

.text.xs {
  font-size: var(--bs-font-size-xsmall);
}

.text.sm {
  font-size: var(--bs-font-size-small);
}

.text.md {
  font-size: var(--bs-font-size-medium);
}

.text.lg {
  font-size: var(--bs-font-size-large);
}

.text.xl {
  font-size: var(--bs-font-size-xlarge);
}

.white {
  color: white;
}

.bold {
  font-weight: bold;
}

/* Text End */

.layout-wrapper {
  padding-bottom: 60px;
}

.process-loader {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.6);
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
}

.page-form-container {
  display: flex;
  height: 100%;
  width: 100%;
}

.page-form-container .page-form-banner {
  height: 100%;
  flex-grow: 1;
}

.page-form-banner .sliders {
  width: 100%;
  height: 100%;
}

.form-footer {
  display: flex;
  gap: 8px;
}

.form-footer > * {
  flex: 1;
}

.page-form-banner .slider1 {
  background: url("../images/sliders/login-slider-1.jpg");
  background-position: center;
  background-size: cover;
  height: 100%;
  width: 100%;
}

.form-container {
  width: 500px;
  max-width: 100%;
  background-color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.form-container .form {
  text-align: center;
  padding: 16px;
  width: 400px;
  max-width: 100%;
}

.form-label {
  font-weight: bold;
}

.inline-form {
  width: 500px;
  max-width: 100%;
  background-color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.spacer-h {
  height: 32px;
  display: block;
}

.edc-btn-secondary {
  padding: 12px 30px;
  border-radius: 30px;
  background-color: var(--bs-color-secondary);
  border: none;
  font-size: 16px;
  color: #ffffff;
}

h5 {
  font-size: 16px;
  font-weight: 600;
}

.flex {
  display: flex;
  width: 100%;
}

.grow {
  flex-grow: 1;
}

.edu-link {
  color: var(--bs-color-primary);
  cursor: pointer;
}

.underline {
  text-decoration: underline;
}

.no-padding {
  padding: 0px;
}

.form-logo {
  width: 100px;
  height: 100px;
}

.bg-overlay {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.7);
  z-index: 0;
}

.welcome-msg {
  display: inline-block;
  margin-left: 16px;
}

.page-header .menus {
  display: flex;
  align-items: center;
  z-index: 1;
}

.menus .menu-item {
  margin: 0px 10px;
}

.menus .icon {
  cursor: pointer;
  height: 30px;
}

.h-spacer {
  display: block;
}

.h-spacer.xl {
  height: 40px;
}

.h-spacer.lg {
  height: 32px;
}

.h-spacer.md {
  height: 24px;
}

.h-spacer.sm {
  height: 16px;
}

.h-spacer.xs {
  height: 8px;
}

.h-divider {
  width: 100%;
  display: block;
  height: 1px;
  background-color: var(--bs-border-color-secondary);
}

.section-title {
  font-weight: bold;
  font-size: 16px;
}

.edc-carousel-content {
  display: flex;
  flex-wrap: nowrap;
  flex-shrink: 0;
  overflow-x: auto;
}

.edc-card {
  margin-right: 16px;
  margin-bottom: 16px;
  border-radius: 8px;
  position: relative;
  display: inline-block;
  padding: 8px 16px;
  background-color: rgb(226 226 239);
  width: auto;
}

.edc-card.selected {
  /* background-color: var(--bs-color-primary); */
  background-color: #13135c;
  color: white;
}

.quick-access-card {
  width: 300px;
  margin-right: 16px;
  padding: 16px;
  border-radius: 8px;
  position: relative;
}

.quick-access-card .card-icon {
  width: 40px;
  height: 40px;
  margin-right: 16px;
}

.edc-card .bg-overlay {
  border-radius: var(--bs-border-radius-medium);
  z-index: -1;
}

.edc-card-content {
  z-index: 1;
  display: block;
  background: rgba(0, 0, 0, 0.3);
  padding: var(--bs-padding-medium);
  height: 100%;
  border-radius: 12px;
}

.title {
  font-size: 16px;
  font-weight: bold;
}

.edc-card .description {
  font-size: 14px;
}

.edc-card .timing .date {
  display: block;
  font-size: 16px;
}

.edc-card .timing .time {
  font-size: 12px;
}

.time {
  font-size: 12px;
}

.add-new-card {
  border-radius: var(--bs-border-radius-medium);
  background-color: var(--bs-color-secondary);
  padding: var(--bs-padding-medium);
  color: #ffffff;
  display: flex;
  align-items: center;
  margin-right: var(--bs-margin-medium);
  cursor: pointer;
}

.scroll-x {
  overflow-x: auto;
}

.no-shrink {
  flex-shrink: 0;
}

.edc-carousel-content::-webkit-scrollbar {
  display: none;
}

.edc-carousel-content {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.message-card {
  background-color: var(--bs-color-primary);
  padding: 16px;
  border-radius: var(--bs-border-radius-medium);
}

.message-card .message {
  color: white;
}

.search-box {
  border-radius: var(--bs-border-radius-medium);
  border: 1px solid var(--bs-color-secondary);
  padding: 8px 16px;
  align-items: center;
}

.search-box .search-input {
  color: var(--bs-color-secondary);
  font-weight: lighter;
  font-size: var(--bs-font-size-medium);
}

.search-box .search-icon {
  height: 30px;
  width: 30px;
}

.assignment-card,
.attachment-card,
.qa-card {
  padding: var(--bs-padding-medium);
  /* background: var(--bs-bg-section); */
      background-color: rgb(226 226 239);
  border-radius: var(--bs-border-radius-medium);
  position: relative;
  height: 100%;
}

.qa-card {
  border: 1px solid var(--bs-border-color-secondary);
}

.attachment-card .card-icon {
  width: 40px;
  height: 40px;
  margin-right: var(--bs-margin-medium);
}

.v-align-center {
  align-items: center;
}

.status-circle {
  border-radius: 12px;
  width: 12px;
  height: 12px;
}

.status-circle.abs {
  top: 16px;
  right: 16px;
  position: absolute;
}

.status-circle.pending {
  background-color: red;
}

.status-circle.completed {
  background-color: green;
}

.ml-2 {
  margin-left: 8px;
}

.ml-3 {
  margin-left: 16px;
}

.tab-bar {
  align-items: center;
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  border-top: 1px solid var(--bs-bg-section);
  background-color: #ffffff;
  z-index: 1000;
}

.tab-bar .tab {
  text-align: center;
  padding: 16px;
  cursor: pointer;
}

.tab-bar .tab img {
  width: 20px;
}

.tab-bar .tab span {
  font-size: 14px;
}

.tab .selected {
  color: var(--bs-color-secondary);
}

/* Class Detail */
.class-cover-container {
  height: 100%;
  position: relative;
}

.class-cover-image {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  background-position: center;
  background-size: cover;
  z-index: 0;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 100000;
}

.class-info img {
  width: 30px;
  height: 30px;
  cursor: pointer;
}

.class-info .flex {
  align-items: center;
}

.class-info .title {
  margin-bottom: 0px;
}

.topic-card {
  align-items: center;
  background: var(--bs-bg-section);
  border-radius: var(--bs-border-radius-medium);
  padding: var(--bs-padding-medium);
  height: 100%;
}

.topic-card .topic-icon {
  width: 30px;
  height: 30px;
}

.topic-card .title {
  margin-bottom: 0px !important;
}

/* Class Detail End*/

/* Page */

.page {
  display: block;
}

.page-container {
  display: block;
  height: 100%;
  padding-bottom: 100px;
}

.page-content {
  display: block;
  margin: 0px auto;
  padding: 40px 40px 100px 40px;
  min-height: 100%;
  position: relative;
  z-index: 1000;
  background-color: white;
  margin-top: -15px;
  border-radius: 15px;
}

.loader-container {
  width: 100%;
  display: flex;
  align-items: center;
  height: 100%;
}

.loader {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  min-height: calc(100vh - 200px);
  width: 100%;
}

.process-loader {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.6);
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
}

.add-btn-lg {
  width: 50px;
  height: 50px;
  position: fixed;
  cursor: pointer;
  bottom: 90px;
  right: 20px;
  z-index: 1000;
}

.custom-page-header {
  padding: var(--bs-padding-medium);
}

.curved-page-content {
  border-top-left-radius: var(--bs-border-radius-medium);
  border-top-right-radius: var(--bs-border-radius-medium);
}

.page-popup {
  background-color: rgba(0, 0, 0, 0.7);
  position: fixed;
  z-index: 1001;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.page-popup .popup {
  position: absolute;
  z-index: 11;
  top: 0;
  right: 0;
  width: 425px;
  max-width: 100%;
  bottom: 0;
}

.page-popup .popup-header {
  height: 100px;
  position: absolute;
  z-index: 1001;
  padding: var(--bs-padding-medium);
  align-items: center;
  background-image: url("../images/sliders/login-slider-1.jpg");
  background-position: center;
  background-size: cover;
  display: flex;
}

.page-popup .popup-content {
  height: 90vh !important;
  bottom: 0px;
  right: 0px;
  left: 0px;
  position: absolute;
  z-index: 1001;
  border-top-left-radius: var(--bs-border-radius-medium);
  border-top-right-radius: var(--bs-border-radius-medium);
  overflow: auto;
  background-color: white;
  padding: var(--bs-padding-medium);
}
/* .page-popup .popup-content::-webkit-scrollbar {
  width: 10px;
  color: antiquewhite;
} */

/* Page End*/

/* Page Header */

.page-header {
  height: 200px;
  background-image: url("../images/sliders/login-slider-1.jpg");
  background-position: center;
  background-size: cover;
  display: flex;
  position: relative;
  color: #ffffff;
  padding: 40px;
}

.page-header .brand {
  display: flex;
  z-index: 1;
  align-items: center;
}

.page-header .brand .logo {
  width: 50px;
  height: 50px;
}

.page-header .brand .use-info {
  font-size: 16px;
  font-weight: bold;
  display: block;
}

.page-header .brand .brand-info {
  font-size: 12px;
  display: block;
}

.page-header {
  display: flex;
  padding: var(--bs-padding-medium);
  align-items: center;
}

.back-btn {
  width: 16px;
  height: 14px;
  cursor: pointer;
  z-index: 1;
}

.page-title {
  font-size: var(--bs-font-size-large);
  margin-bottom: 0px;
}

.page-sub-title {
  font-size: var(--bs-font-size-medium);
  margin-bottom: 0px;
}
/* Page Header End */

/* Inputs */

.button-group {
  background-color: #13135c;
  border-radius: 10px;
}

.button-group .button-group-item {
  padding: var(--bs-padding-medium);
  flex-grow: 1;
  color: #ffffff;
  text-align: center;
  text-decoration: underline;
}

.edc-input-group {
  background-color: var(--bs-input-group);
  text-align: left;
  border-radius: 8px;
  padding: 8px;
}

.edc-input-group .label {
  font-size: 12px !important;
  color: var(--bs-input-group-label-color);
  display: block;
}

.text-input {
  padding-left: 0px;
  border: none;
  background: none;
  color: var(--bs-input-text-color);
  font-size: 16px;
  padding: 0px;
}

.text-input:focus {
  border: none;
  background: none;
  outline-color: var(--bs-input-group);
  outline: none;
  border-color: inherit;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.edc-text-area {
  border: 1px solid var(--bs-border-color-secondary);
}

.edc-text-area textarea {
  height: 150px;
  width: 100%;
}

.file-uploader {
  border: 1px solid var(--bs-border-color-secondary);
}

.file-uploader .file-selector {
  display: block;
  text-align: center;
  padding: 40px;
}

.file-selector .upload-icon {
  height: 40px;
}

.file-preview {
  position: relative;
  height: 75px;
  width: 75px;
  background-position: center;
  background-size: cover;
  margin-right: var(--bs-margin-medium);
  border-radius: var(--bs-border-radius-small);
  border: 1px solid var(--bs-border-color-secondary);
  box-shadow: var(--bs-box-shadow-secondary);
}

.file-preview .close {
  position: absolute;
  top: 4px;
  right: 4px;
  width: 16px;
  height: 16px;
}

.add-btn {
  height: 24px;
  width: 24px;
  cursor: pointer;
}

.edit-btn {
  height: 24px;
  width: 24px;
  cursor: pointer;
}

.cover-preview {
  height: 150px;
  display: block;
  background-position: center;
  background-size: cover;
  border-radius: var(--bs-border-radius-small);
}

.show-file-container {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  background-color: black;
  z-index: 998;
}

.show-file-container .file {
  width: 100%;
  z-index: 999;
}

.show-file-container .file-details {
  position: fixed;
  bottom: 0px;
  left: 0px;
  right: 0px;
  padding: var(--bs-padding-medium);
  z-index: 1000;
}

.show-file-container .close-btn {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 20px;
  height: 20px;
  z-index: 1000;
  box-shadow: var(--bs-box-shadow-secondary);
}

.timeline {
  position: relative;
}

.timeline:before {
  content: "";
  position: absolute;
  top: 0;
  left: 1rem;
  height: 100%;
  border-right: 2px solid #dee2e6;
}

.timeline-block {
  position: relative;
}

.timeline-block:after {
  content: "";
  display: table;
  clear: both;
}

.timeline-block:first-child {
  margin-top: 0;
}

.timeline-block:last-child {
  margin-bottom: 0;
}

.timeline-step {
  position: absolute;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  left: 0;
  height: 26px;
  border-radius: 50%;
  background: #fff;
  text-align: center;
  transform: translateX(-50%);
  font-size: 1rem;
  font-weight: 600;
  z-index: 1;
}

.timeline-step svg,
.timeline-step i {
  line-height: 1.4;
}

.timeline-content {
  position: relative;
  margin-left: 45px;
  padding-top: 0.35rem;
  position: relative;
  top: -6px;
}

.timeline-content:after {
  content: "";
  display: table;
  clear: both;
}

@media (min-width: 992px) {
  .timeline:before {
    left: 50%;
    margin-left: -1px;
  }

  .timeline-step {
    left: 50%;
  }

  .timeline-content {
    width: 38%;
  }

  .timeline-block:nth-child(even) .timeline-content {
    float: right;
  }
}

.timeline-one-side:before {
  left: 1rem;
}

.timeline-one-side .timeline-step {
  left: 1rem;
}

.timeline-one-side .timeline-content {
  width: auto;
}

@media (min-width: 992px) {
  .timeline-one-side .timeline-content {
    max-width: 30rem;
  }
}

.timeline-one-side .timeline-block:nth-child(even) .timeline-content {
  float: none;
}

.timeline-step img {
  width: 16px;
  margin-left: -22px;
}

.tilt {
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.tilt .up {
  -webkit-transform: translateZ(50px) scale(0.7);
  transform: translateZ(50px) scale(0.7) !important;
  transition: all 0.5s;
}

.comment {
  padding: 16px;
  border-radius: 8px;
  background-color: #f7f7fb;
}

.status {
  margin-right: 16px;
  font-size: 12px;
}

.product-cover-image {
  width: 120px;
  height: 120px;
  flex: 0 0 120px;
  background-position: center;
  background-size: cover;
  border-radius: 8px;
  position: relative;
}

.product-card {
  overflow: visible;
  background-color: var(--bs-bg-section);
  border-radius: 8px;
}

.product-card .detail {
  padding: 8px;
}

.product-card .desc {
  max-width: 50ch;
  color: var(--bs-input-group-label-color);
  font-size: 12px;
}

.product-card .price {
}

.product-card .add-to-cart {
  position: absolute;
  color: white;
  border-radius: 4px;
  padding: 4px 8px;
  background-color: var(--bs-color-secondary);
  bottom: 0;
  margin-left: 10px;
  margin-bottom: -8px;
  font-size: 12px;
  border: none;
}

.cart-icon {
  position: relative;
}

.cart-icon .count {
  background-color: var(--bs-color-secondary);
  width: 14px;
  height: 14px;
  color: white;
  border-radius: 50%;
  position: absolute;
  top: -4px;
  right: -4px;
  font-size: 12px;
  display: flex;
  align-items: center;
  text-align: center;
}
.z-index-1212 {
  z-index: 1212 !important;
}
.notification-icon {
  position: relative;
  display: inline-block;
}
.notification-dot {
  position: absolute;
  top: 0;
  right: 11px;
  width: 10px;
  height: 10px;
  background-color: red;
  border-radius: 50%;
}
.w-12px {
  width: 12px !important;
}
.h-25vh {
  height: 25vh;
}
.z-index-2000 {
  z-index: 2000;
}
.popup-notification {
  right: 96px;
  top: 100px;
}
.cursor-pointer {
  cursor: pointer !important;
}

.status-COMPLETED {
  color:#4CBB17
}

.status-NEW {
  color:blue;
}

.status-NEW  {
  animation: blinker 1s linear infinite;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}
.status-IN-PROGRESS {
  color:orange
}

.status-ASSIGNED {
  color:#40E0D0
}
.status-ORDERED {
  color:#40E0D0

}
.status-DELIVERED {
  color:#4CBB17

}
.status-PROCESSED {
  color:orange
}
input[type="number"] {
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.w-fit {
  width: fit-content !important;
}
.btn-primary {
  --bs-btn-bg: #13135c;
}

.btn-primary:hover,
.btn.bg-gradient-primary:hover {
  background-color: #13135c;
  border-color: #13135c;
}

.bg-gray-200 {
  background-color: #e9ecef !important;
}

.image-pop-zoom-up {
  /* display: inline-block; */
  transition: transform 0.2s ease;
}
.image-pop-zoom-up-big {
  display: inline-block;
  transition: transform 0.2s ease;
}
.image-pop-zoom-up-big:hover {
  transform: scale(1.2);
}

.image-pop-zoom-up:hover {
  transform: scale(1.05);
}

.timeline:before {
  border-left: 2px solid rgba(25, 139, 29, 1);
  margin-left: 0px;
  border-right: none;
}

.tabs-titles{
  list-style: none;
  padding: 0px;
  margin: 0;
}

.tab-title{
  background-color: #fff;
  display: inline-block;
  padding: 10px;
  color: #c7c6c2;
  cursor: pointer;
  margin-left:1px;
}

.tab-title--active {
  background-color: #f5f5f5;
  color: #00070a;
}

.tab-content{
  background-color: #f5f5f5;
  padding: 5px;
  margin: 0;
}